Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance
Interface InternalProcessRuntime

All Superinterfaces:
  org.kie.process.CorrelationAwareProcessRuntime, org.drools.runtime.process.InternalProcessRuntime, ProcessEventManager, ProcessRuntime

    public interface InternalProcessRuntime

extends org.drools.runtime.process.InternalProcessRuntime

Method Summary
`org.drools.event.ProcessEventSupport` | `getProcessEventSupport()`
`ProcessInstanceManager` | `getProcessInstanceManager()`
`SignalManager` | `getSignalManager()`
`TimerManager` | `getTimerManager()`

Methods inherited from interface org.drools.runtime.process.InternalProcessRuntime
`clearProcessInstances, clearProcessInstancesState, dispose, setProcessEventSupport`

Methods inherited from interface org.kie.runtime.process.ProcessRuntime
`abortProcessInstance, createProcessInstance, getProcessInstance, getProcessInstance, getProcessInstances, getWorkItemManager, signalEvent, signalEvent, startProcess, startProcess, startProcessInstance`

Methods inherited from interface org.kie.event.process.ProcessEventManager
`addEventListener, getProcessEventListeners, removeEventListener`

Methods inherited from interface org.kie.process.CorrelationAwareProcessRuntime
`createProcessInstance, getProcessInstance, startProcess`

Method Detail

### getProcessInstanceManager

    ProcessInstanceManager getProcessInstanceManager()

### getSignalManager

    SignalManager getSignalManager()

### getTimerManager

    TimerManager getTimerManager()

### getProcessEventSupport

    org.drools.event.ProcessEventSupport getProcessEventSupport()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.